@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap");

html {
    scroll-behavior: smooth;
}

body {
    overflow-x: hidden;
    position: relative;
    font-weight: 400;
}

body:has(.modal-cart.active) {
    overflow-y: hidden;
}

* {
    padding: 0;
    margin: 0;
    font-family: "DM Sans", sans-serif !important;
    box-sizing: border-box;
}

ul {
    padding: 0;
    margin: 0;
}

li {
    list-style-type: none;
}

a {
    text-decoration: none;
}

button {
    outline: none;
    border: none;
    background-color: transparent;
}

@media screen and (min-width: 768px) {
    section:not(.mainbanner-block) {
        margin-bottom: var(--section-margin);
    }

    section.mainbanner-block {
        margin-bottom: 100px;
    }
}

section.mainbanner-block {
    margin-top: -74px;
}

section {
    margin-bottom: var(--section-margin);
}

.wrapper {
    max-width: 1264px;
    width: 100%;
    margin: 0 auto;
    padding: 0 var(--wrapper-padding);
}

.page-title {
    font-size: var(--h2-size);
    font-weight: 400;
    line-height: 100%;
    text-transform: uppercase;
    margin: 60px 0;
}

.hidden {
    display: none !important;
}

@media screen and (max-width: 767px) {
    .page-title {
        margin: 70px 0px 40px;
    }
}

@media screen and (max-width: 582px) {
    .page-title {
        margin: 42px 0px 32px;
    }
}

.btn {
    border: none;
    outline: none;
    width: fit-content;
    padding: 14px 40px;
    border-radius: 8px;
    text-align: center;
    font-size: 16px;
    font-weight: 400;
    line-height: 100%;
    text-transform: uppercase;
    transition: 0.2s ease-in-out;
}

.btn.black {
    background-color: var(--black);
    color: var(--btn-white-color);
}

.btn.plus {
    display: flex;
    align-items: center;
    gap: 10px;
}

.btn.plus:before {
    content: "";
    background: transparent url("../img/plus.svg") center/contain no-repeat;
    width: 24px;
    height: 24px;
}

.btn.black:hover {
    background-color: var(--btn-white-color);
    color: var(--black);
}

.block-title {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: var(--title-margin);
    gap: 12px;
}

.products-holder:has(.subtitle) .block-title {
    margin-bottom: 24px;
}

.subtitle {
    color: #8e8e8e;
    font-size: 16px;
    font-weight: 400;
    line-height: 120%;
    margin-bottom: var(--title-margin);
    max-width: 600px;
}

.block-title h2 {
    font-size: var(--h2-size);
    text-transform: uppercase;
    font-weight: 400;
    color: var(--text-black-color);
}

.block-title button {
    display: flex;
    align-items: center;
    gap: 4px;
    border: none;
    outline: none;
    background: transparent;
    font-size: 16px;
    line-height: 100%;
    font-weight: 400;
    color: var(--gray-text-color);
    text-transform: uppercase;
    cursor: pointer;
    white-space: nowrap;
}

.block-title button:after {
    content: "";
    display: block;
    background: transparent url("../../assets/img/arr_btn_right.svg") no-repeat center;
    background-size: contain;
    width: 20px;
    height: 20px;
    transform: translateX(0px);
    transition: 0.2s ease-out;
}

.block-title button:hover:after {
    transform: translateX(5px);
}

.swiper-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background-color: #ffffff;
    box-shadow: 0 5px 21px 0 rgba(0, 0, 0, 0.15);
    z-index: 10;
    cursor: pointer;
    visibility: visible;
    opacity: 1;
    transition: 0.2s ease-out;
}

.swiper-arrow.swiper-button-disabled {
    visibility: hidden;
    opacity: 0;
}

.swiper-arrow:before,
.swiper-arrow:after {
    display: none;
}

.swiper-arrow.arrow-left {
    left: 12px;
}

.swiper-arrow.arrow-right {
    right: 12px;
}

.block-left {
    width: 50%;
}

.block-right {
    width: 50%;
}

.marquee-line {
    display: flex;
    align-items: center;
    gap: 64px;
    height: 34px;
    background-color: var(--green-dark-color);
}

.marquee-holder {
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 64px;
    min-width: 100%;
    flex-shrink: 0;
    animation: marquee 30s linear infinite;
}

@keyframes marquee {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(calc(-100% - 64px));
    }
}

.marquee-item {
    display: flex;
    gap: 8px;
    align-items: center;
}

.marquee-item img {
    width: 18px;
    height: 18px;
    object-fit: contain;
}

.marquee-item svg,
.marquee-item path {
    stroke: var(--btn-white-color);
}

.marquee-item span {
    color: var(--btn-white-color);
    font-size: 14px;
    line-height: 100%;
}

#scrollToTop {
    position: fixed;
    bottom: 20px;
    right: 120px;
    z-index: 50;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 68px;
    height: 68px;
    border-radius: 50%;
    background-color: var(--black);
    transition: 0.2s ease-out;
    opacity: 0;
    visibility: hidden;
    cursor: pointer;
}

#scrollToTop img {
    width: 34px;
    height: 34px;
}

#preloader {
    opacity: 1;
    visibility: visible;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ffffff;
    transition: background-color 0.7s ease-out;
    z-index: 600;
}

#preloader.disable {
    opacity: 0;
    visibility: hidden;
}

#preloader img {
    position: absolute;
    width: 280px;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    margin: 0 auto;
    opacity: 1;
    transition: 0.7s linear;
    opacity: 0;
}

header {
    position: relative;
    z-index: 2;
}

header:has(.mobile-menu.open) {
    z-index: 101;
}

header.main-header {
    background: var(--green-light);
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    gap: 30px;
    margin-top: 24px;
}

.header .logo {
    max-width: 72px;
    width: 100%;
}

.header nav ul {
    display: flex;
    align-items: center;
    gap: 42px;
}

.header nav ul ul.sub-menu {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.header nav ul ul.sub-menu {
    position: absolute;
    top: 20px;
    width: max-content;
    left: -50px;
    transition: all 0.3s ease 0s;
    opacity: 0;
    max-height: 0;
    z-index: 999;
    overflow: hidden;
}

.header nav ul ul.sub-menu li:first-child {
    padding-top: 20px;
}

.footer nav ul ul.sub-menu {
    display: none;
}

.header nav ul ul.sub-menu._active {
    opacity: 1;
}

.header nav ul .menu-item-has-children {
    position: relative;
}

.header nav ul a {
    color: var(--black);
    font-size: 14px;
    line-height: 100%;
    font-weight: 400;
    text-transform: uppercase;
}

.header .header-buttons {
    display: flex;
    align-items: center;
}

.switch-language {
    position: relative;
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
    margin-right: 48px;
}

.switch-language:after {
    content: "";
    width: 16px;
    height: 16px;
    background: transparent url("../img/arr-bottom.svg") center no-repeat;
    background-size: contain;
}

.switch-language .current-language {
    font-size: 14px;
    line-height: 100%;
    text-transform: uppercase;
    color: var(--black);
}

.switch-language .language-select {
    position: absolute;
    top: 100%;
    right: 0;
    display: flex;
    flex-direction: column;
    gap: 6px;
    height: auto;
    padding: 8px;
    border-radius: 6px;
    margin-top: 6px;
    background-color: #ffffff;
    min-width: 30px;
    opacity: 0;
    transition: 0.2s ease-out;
    cursor: default;
    transform: translateY(-5px);
    visibility: hidden;
    z-index: 100;
}

.switch-language.open .language-select {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
}

.switch-language button {
    display: flex;
    align-items: center;
    gap: 6px;
    font-size: 14px;
    line-height: 100%;
    color: #8e8e8e;
    cursor: pointer;
    text-transform: uppercase;
    opacity: 0.5;
}

.switch-language button img {
    width: 21px;
    opacity: 0.5;
}

.switch-language:has(button:hover) button:not(:hover),
.switch-language:has(button:hover) button:not(:hover) img {
    opacity: 0.5;
}

.switch-language button:hover,
.switch-language button.current {
    color: var(--black);
    opacity: 1;
}

.switch-language button:hover img,
.switch-language button.current img {
    opacity: 1;
}


.mobile-menu .switch-language {
    margin: 0 auto;
}

.mobile-menu .switch-language .current-language {
    font-size: 24px;
}

.mobile-menu .switch-language .language-select {
    padding: 16px;
    gap: 16px;
}

.mobile-menu .switch-language button {
    font-size: 24px;
}

.mobile-menu .switch-language button img {
    width: 28px;
}

.header .header-search {
    width: 24px;
    height: 24px;
    margin-right: 16px;
    cursor: pointer;
}

.header .header-cart {
    display: flex;
    gap: 3px;
    align-items: flex-end;
    cursor: pointer;
}

.header .header-cart img {
    width: 24px;
    height: 24px;
}

.header .header-cart span {
    font-size: 12px;
    font-weight: 400;
    line-height: 100%;
    color: var(--black);
}

.header .burger-menu {
    display: none;
    width: 24px;
    height: 24px;
    margin-left: 32px;
    cursor: pointer;
}

#search-line {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 140px;
    border-bottom: 1px solid #8e8e8e;
    background-color: #ffffff;
    z-index: 100;
    transition: 0.2s ease-out;
    visibility: hidden;
    opacity: 0;
    transform: translateY(-100%);
}

#search-line.active {
    transform: translateY(0);
    visibility: visible;
    opacity: 1;
}

#search-line .close-search {
    position: absolute;
    top: 24px;
    right: 100px;
    width: 32px;
    height: 32px;
    cursor: pointer;
}

#search-line .close-search img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

#search-line .wrapper {
    height: 100%;
}

#search-line .search-holder {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

#search-line .search-holder form {
    display: flex;
    align-items: center;
    width: 584px;
    height: 44px;
    padding: 0 12px;
    border-radius: 8px;
    border: 1px solid #8e8e8e;
}

#search-line .search-holder form input {
    width: 100%;
    height: 100%;
    padding: 10px 0;
    background-color: transparent;
    outline: none;
    border: none;
}

#search-line .search-holder form button {
    width: 24px;
    height: 24px;
    outline: none;
    cursor: pointer;
    margin-right: 12px;
    opacity: 0.8;
}

#search-line .search-holder form button img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

#search-line .search-holder form .remove-text {
    width: 24px;
    height: 24px;
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
    transition: 0.2s ease-out;
}

#search-line .search-holder form .remove-text.active {
    opacity: 1;
    visibility: visible;
}

#search-line .search-holder form .remove-text img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

@media screen and (max-width: 991px) {
    #search-line {
        height: 217px;
    }

    #search-line .search-holder {
        flex-direction: column;
    }

    #search-line .close-search {
        position: static;
        margin-bottom: 32px;
        margin-left: auto;
    }

    #search-line .search-holder form {
        width: 100%;
    }
}

@media screen and (max-width: 767px) {
    .header .switch-language {
        display: none;
    }

    .header nav {
        display: none;
    }

    .header .burger-menu {
        display: block;
    }
}

.bg-menu {
    opacity: 0;
    visibility: hidden;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    position: fixed;
    z-index: 99;
    top: 0;
    left: 0;
    transition: 0.2s ease-out;
}

.bg-menu.open {
    opacity: 1;
    visibility: visible;
}

.mobile-menu {
    opacity: 0;
    visibility: hidden;
    position: fixed;
    width: 100%;
    height: auto;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 100;
    display: flex;
    flex-direction: column;
    top: 0;
    left: 0;
    padding: 162px 20px 162px;
    background-color: #ffffff;
    border-radius: 0px 0px 16px 16px;
    z-index: 100;
    transition: 0.2s ease-out;
}

.mobile-menu.open {
    opacity: 1;
    visibility: visible;
}

.mobile-menu .close-menu {
    position: absolute;
    top: 68px;
    right: 20px;
    cursor: pointer;
}

.mobile-menu .menu-items {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.mobile-menu .menu-items li {
    text-align: center;
}

.mobile-menu .menu-items li a {
    font-size: 24px;
    font-weight: 400;
    line-height: 100%;
    text-transform: uppercase;
    color: var(--black);
}

.mobile-menu .mob-menu {
    margin-bottom: 100px;
}

@media screen and (min-width: 768px) {
    .mobile-menu {
        display: none;
    }
}

@media screen and (max-width: 582px) {
    .mobile-menu {
        padding: 151px 20px 110px;
    }

    .mobile-menu .menu-items {
        gap: 24px;
    }
}

footer {
    margin-bottom: 50px;
}

.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.footer .logo {
    max-width: 72px;
}

.footer nav ul {
    display: flex;
    justify-content: space-between;
    gap: 16px 42px;
}

.footer nav ul a {
    font-size: 14px;
    color: var(--black);
    line-height: 100%;
    font-weight: 400;
    text-transform: uppercase;
}

footer .copyright,
footer .copyright a {
    font-size: 14px;
    font-weight: 400;
    line-height: 100%;
    color: var(--text-black-color);
}

.footer .copyright {
    text-align: right;
}

.footer-bottom .copyright {
    display: none;
}

footer .footer-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 40px;
}

footer .smg {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 100%;
    text-align: center;
}

@media (min-width: 992px) {
    .footer {
        display: grid;
        grid-template-columns: repeat(6, 1fr);
    }

    .footer nav {
        grid-column: span 4;
    }

    .footer nav ul {
        justify-content: center;
    }
}

@media screen and (max-width: 991px) {
    .footer {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .footer .copyright {
        display: none;
    }

    .footer-bottom .copyright {
        display: block;
    }

    footer .smg {
        width: fit-content;
    }
}

@media screen and (max-width: 582px) {
    .footer nav ul {
        flex-wrap: wrap;
        justify-content: flex-end;
    }

    .footer {
        gap: 40px;
    }
}

.showroom-wrapper {
    margin-bottom: var(--section-margin);
}

.showroom-wrapper .woocommerce-products-header {
    margin: 60px 0 40px;
}

.showroom-wrapper h1 {
    font-size: var(--h2-size);
    font-weight: 400;
    line-height: 100%;
    text-transform: uppercase;
}

.showroom-wrapper .category-tabs {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    margin-bottom: 40px;
}

.showroom-wrapper .category-tabs .sub-cat {
    display: flex;
    align-items: center;
    gap: 4px;
    border-radius: 22px;
    padding: 10px 12px;
    background-color: #e7ecee;
    color: var(--black);
    font-size: 16px;
    line-height: 100%;
    font-weight: 400;
    cursor: pointer;
    transition: 0.2s ease-out;
}

.showroom-wrapper .category-tabs .sub-cat span {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background-color: #ffffff;
    color: var(--black);
    transition: 0.2s ease-out;
}

.showroom-wrapper .category-tabs .sub-cat.current {
    color: #ffffff;
    background-color: var(--black);
}

.showroom-wrapper .category-tabs .sub-cat.current span {
    color: #ffffff;
    background-color: #6d6d6d;
}

.showroom-wrapper .category-tabs .sub-cat:hover {
    color: #ffffff;
    background-color: var(--black);
}

.showroom-wrapper .category-tabs .sub-cat:hover span {
    color: #ffffff;
    background-color: #6d6d6d;
}

.showroom-wrapper .products {
    display: flex;
    flex-wrap: wrap;
    gap: 24px 16px;
    transition: 0.2s ease-out;
}

.showroom-wrapper .product {
    width: calc((100% / 4) - 12px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.product:hover .product-image img {
    transform: scale(1.1);
}


.showroom-wrapper .product a {
    display: flex;
    flex-direction: column;
}

.showroom-wrapper .product .product-image {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 320px;
    background: var(--green-light);
    padding: 10px;
    border-radius: 16px;
    margin-bottom: 12px;
    position: relative;
}

.showroom-wrapper .product .product-image img {
    width: 100%;
    max-width: 85%;
    height: 85%;
    object-fit: contain;
}

.product .product-image img {
    transition: transform 0.3s ease-out;
}

.showroom-wrapper .product h2 {
    padding-left: 8px;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
    color: var(--black);
    min-height: 2em;
}

@media screen and (max-width: 991px) {
    .showroom-wrapper .product {
        width: calc((100% / 3) - 11px);
    }
}

@media screen and (max-width: 767px) {
    .showroom-wrapper .product {
        width: calc((100% / 2) - 8px);
    }

    .showroom-wrapper .product .product-image img {
        width: 100%;
        max-width: 85%;
        object-fit: contain;
    }
}

@media screen and (max-width: 582px) {
    .showroom-wrapper .product .product-image {
        height: 215px;
    }
}

/*   DETAIL SINGLE/COMPOSITE PRODUCT   */
.detail-product-wrapper {
    margin: 80px 0 var(--section-margin);
}

.detail-product {
    display: flex;
    justify-content: space-between;
    gap: 32px;
}

.detail-product .summary {
    display: flex;
    gap: 32px;
}

.detail-product.no-composite .summary {
    width: 100%;
}

.detail-product.no-composite .product-left {
    max-width: 430px;
    width: 100%;
}

.detail-product .product-left:not(.composite) {
    max-width: 430px;
}

.detail-product .product-left .swiper-main-image {
    height: 486px;
    border-radius: 16px;
    margin-bottom: 8px;
}

.detail-product.single-product .product-left .swiper-main-image {
    background: var(--green-light);
}

.detail-product.composite-single-product .product-left .swiper-main-image {
    background: var(--green-light);
}

.detail-product .product-left .swiper-main-image .product-image-holder {
    width: 100%;
    height: 100%;
}

.detail-product .product-left .swiper-main-image .product-image-holder img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.detail-product .product-left .product-thumb-holder {
    display: flex;
    align-items: center;
    gap: 20px;
}

.detail-product .product-left .product-thumb-holder .swiper {
    width: 100%;
    padding-bottom: 5px;
}

.detail-product .product-left .product-thumb-holder .swiper-prod-arrow {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 24px;
    height: 24px;
    cursor: pointer;
}

.detail-product .product-left .product-thumb-holder .swiper-prod-arrow.swiper-button-disabled {
    display: none;
}

.detail-product .product-left .product-thumb-holder .product-image-holder {
    width: calc(100% - 1px);
    height: 80px;
    border: 1px solid transparent;
    background-color: transparent;
    transition: 0.2s ease-out;
    border-radius: 8px;
    overflow: hidden;
}

.detail-product .product-left .product-thumb-holder .product-image-holder img {
    object-fit: contain;
    width: 100%;
    height: 100%;
}

.detail-product .product-thumb-holder .swiper-slide {
    cursor: pointer;
}

.detail-product .product-thumb-holder .swiper-slide .product-image-holder {
    background-color: #f5f5f5;
}

.detail-product .product-thumb-holder .swiper-slide-thumb-active .product-image-holder {
    border: 1px solid #8796b3;
    background: var(--green-light);
}

.detail-product .product-right {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.detail-product:not(.composite-product) .cart {
    width: fit-content;
}

.detail-product .product-right .product-info-start {
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding-left: 24px;
}

.detail-product .product-error {
    font-weight: 18px;
    color: #f07474;
    line-height: 100%;
    text-transform: uppercase;
}

.detail-product .product-info-start .product-tags-holder {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.detail-product .product-tags-holder .product-tag {
    padding: 6px 12px;
    background: var(--green-light);
    color: var(--black);
    border-radius: 6px;
    font-size: 14px;
    font-weight: 400;
    line-height: 100%;
}

.detail-product .product-title {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.detail-product .product-title .price {
    font-size: var(--h2-size);
    font-weight: 400;
    color: #8e8e8e;
}

.detail-product h1 {
    font-size: var(--h2-size);
    font-weight: 400;
    line-height: 100%;
    text-transform: uppercase;
}

.detail-product .product-descr p {
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #101010;
    word-wrap: anywhere;
}

.detail-product .choose-set {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 14px 24px;
    font-size: 16px;
    font-weight: 400;
    line-height: 100%;
    text-transform: uppercase;
    border-radius: 8px;
    background-color: var(--black);
    color: #ffffff;
    cursor: pointer;
}

.detail-product .choose-set:before {
    content: "";
    display: block;
    background: transparent url("../img/plus.svg");
    width: 24px;
    height: 24px;
}

.detail-product .choose-set:hover:before {
    transform: rotate(90deg);
    transition: 0.2s ease-out;
}

.detail-product .product-info-holder {
    display: flex;
    flex-direction: column;
    gap: 32px;
    padding: 24px;
    border-radius: 24px;
    background-color: #f8fafb;
}

.detail-product .product-info-holder .product-info-item {
    display: flex;
    flex-direction: column;
}

.detail-product .product-info-holder h2 {
    font-size: 20px;
    font-weight: 600;
    line-height: 100%;
    text-transform: uppercase;
    color: var(--black);
    margin-bottom: 16px;
}

.detail-product .product-info-holder p {
    color: #8e8e8e;
    font-size: 14px;
    font-weight: 400;
    line-height: 120%;
}

.detail-product .features-holder {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    gap: 8px;
}

.detail-product .features-holder .features-item {
    width: 56px;
    height: 56px;
    background-color: rgba(201, 249, 215, 1);
    padding: 8px;
    border-radius: 50%;
}

.detail-product .features-holder .features-item img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

@media screen and (max-width: 991px) {
    .detail-product .summary {
        flex-direction: column;
        width: 100%;
    }

    .detail-product .product-left:not(.composite) {
        max-width: none;
    }

    .detail-product .product-left {
        max-width: none;
    }

    .detail-product .product-left .swiper-main-image .product-image-holder {
        text-align: center;
    }
}

@media screen and (max-width: 582px) {
    .detail-product .product-left .swiper-main-image {
        height: 380px;
    }

    .detail-product .product-left .product-thumb-holder .swiper-prod-arrow {
        display: none;
    }

    .detail-product .product-right .product-info-start {
        padding: 0;
    }
}

/* DETAIL COMPOSITE PRODUCT */

.composite-product .summary.entry-summary {
    width: 100%;
    justify-content: space-between;
    align-items: flex-start;
}

.composite-product .wooco_alert {
    display: none !important;
}

.composite-product .wooco_component:not(:last-child) {
    margin-bottom: 100px;
    padding: 0;
}

.composite-product .wooco_component .wooco_component_name {
    font-size: 24px;
    text-transform: uppercase;
    color: #101010;
    font-weight: 400;
}

.composite-product .wooco_component .wooco_component_desc {
    margin-top: 16px;
    color: #8e8e8e;
}

.composite-product .wooco_component_product_selection_grid_item {
    width: 160px;
    border: none;
    padding: 10px 0;
}

.composite-product .wooco_component_product_selection_grid_item:before {
    content: none;
}

.composite-product .wooco_component_product_selection_grid_item_image {
    border-radius: 16px;
    background: var(--green-light);
    position: relative;
}

.composite-product .wooco_component_product_selection_grid_item_image img {
    width: 90%;
    height: 220px;
    object-fit: contain;
}

.composite-product .wooco_component_product_selection_grid_item_desc,
.composite-product .wooco_component_product_selection_grid_item_qty {
    display: none;
}

.composite-product .wooco_component_product_selection_grid_item_name {
    font-size: 14px;
    text-align: left;
    padding: 0 10px;
    font-weight: 400;
}

.composite-product .wooco_component_product_selection_grid_item_button_add {
    position: absolute;
    right: 12px;
    bottom: 12px;
    cursor: pointer;
}

.composite-product .wooco_component_product_selection_grid_item_button_add:before {
    content: "";
    display: flex;
    align-items: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    border-radius: 100%;
    border: none;
    background-color: #1c1c1c;
    background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14" fill="none"%3E%3Cpath d="M1.55566 6.99986H12.4446M7.00011 1.55542V12.4443" stroke="white" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"/%3E%3C/svg%3E');
    background-repeat: no-repeat;
    background-position: center;
    transition: background-image 0.3s ease,
    transform 0.3s ease;
}

.composite-product
.wooco_component_product_selection_grid_item.wooco_item_selected
.wooco_component_product_selection_grid_item_button_add:before {
    background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" width="11" height="8" viewBox="0 0 11 8" fill="none"%3E%3Cpath d="M0.592773 4.00002L3.7903 7.19755L10.1854 0.80249" stroke="white" stroke-width="1.19374" stroke-linecap="round" stroke-linejoin="round"/%3E%3C/svg%3E');
}

.composite-product
.wooco_component_product_selection_grid_item.wooco_item_selected
.wooco_component_product_selection_grid_item_button_add:hover:before {
    background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14" fill="none"%3E%3Cpath d="M1.55566 6.99986H12.4446M7.00011 1.55542V12.4443" stroke="white" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"/%3E%3C/svg%3E');
    transform: rotate(45deg);
    background-color: #ec6161;
}

.composite-product .product_title,
.composite-product .woocommerce-product-details__short-description {
    display: none;
}

.composite-product .product-right {
    position: sticky;
    top: 60px;
    max-width: 430px;
    width: 100%;
}

.composite-product .product-right .product-info-start {
    padding-left: 0;
}

.composite-product .product-right--flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.composite-product .product-right--title {
    font-size: 24px;
}

.composite-product .product-right .product-price {
    font-size: 24px;
    line-height: 100%;
    font-weight: 400;
    color: var(--black);
}

.composite-product .product-right .collection-titles {
    width: 100%;
    margin-top: 12px;
    font-size: 10px;
    font-weight: 400;
    line-height: 120%;
    color: #8e8e8e;
}

.composite-product .selected-products {
    display: flex;
    flex-direction: column;
    gap: 32px;
    width: 100%;
    max-height: 370px;
    height: 100%;
    overflow-x: auto;
    scrollbar-width: none;
}

.composite-product .selected-products.scroll {
    margin-bottom: -24px;
}

.composite-product .selected-productst::-webkit-scrollbar {
    display: none;
}

.composite-product .selected-products__item {
    position: relative;
    display: flex;
    align-items: center;
    gap: 16px;
}

.composite-product .selected-products__item.no-selected {
    cursor: pointer;
}

.composite-product .selected-products .selected-products__item:last-child {
    margin-bottom: 30px;
}

.composite-product .selected-products__item::after {
    content: "";
    position: absolute;
    border: 1px solid #e4e4e4;
    bottom: -16px;
    width: 100%;
}

.composite-product .selected-products__item--image {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    width: 84px;
    height: 84px;
    border-radius: 8px;
    background: var(--green-light);
}

.composite-product .selected-products__item--image img {
    width: 65px;
    object-fit: cover;
}

.composite-product .selected-products__item--image .product-change-img {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background-color: var(--black);
}

.composite-product .selected-products__item-info {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    height: 84px;
}

.composite-product .selected-products__item-info--collection {
    font-size: 14px;
    color: #8e8e8e;
}

.composite-product .selected-products__item-info--name {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #1c1c1c;
}

.composite-product .selected-products__item-info-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.composite-product .selected-products__item-info-bottom--capacity {
    font-size: 14px;
    color: #8e8e8e;
}

.composite-product .selected-products__item-info-bottom--replace {
    font-size: 14px;
    color: #1c1c1c;
}

.composite-product .product-right form button {
    height: 52px;
    width: 100%;
    background-color: #1c1c1c;
    color: #fff;
    font-size: 16px;
    text-transform: uppercase;
    border-radius: 8px;
    cursor: pointer;
}

.composite-product .wooco_summary.wooco-summary.wooco-text,
.detail-product .product-right .quantity {
    display: none;
}

.composite-product .add_to_cart_inline {
    border: none !important;
    padding: 0px !important;
}

@media (max-width: 767px) {
    .composite-product .summary.entry-summary {
        flex-direction: column;
    }

    .composite-product .wooco_component_product_selection_grid_item {
        width: calc(50% - 20px);
    }

    .composite-product .wooco_component_product_selection_grid_item_image img {
        height: 388px;
    }

    .composite-product .wooco_component_product_selection_grid_item_button_add {
        bottom: 24px;
        right: 24px;
    }

    .composite-product .wooco_component_product_selection_grid_item_name {
        font-size: 16px;
    }

    .composite-product .wooco_component_product_selection_grid_item_button_add:before {
        width: 64px;
        height: 64px;
        right: 24px;
        background-size: 28px;
    }
}

/* popup */
#popup_container {
    display: none;
    width: 100%;
    height: 100%;
    background: rgba(50, 50, 50, 0.5);
    position: fixed;
    top: 0;
    z-index: 500;
}

#popup {
    background: white;
    width: 100%;
    max-width: 1200px;
    height: 100%;
    max-height: 800px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 32px;
    border-radius: 20px;
    position: relative;
    overflow-y: auto;
}

.popup-close {
    position: absolute;
    top: 32px;
    right: 32px;
    cursor: pointer;
}

/* bottom menu */
#swipe-handle,
.composite-product .product-right--flex-composite-menu {
    display: none;
}


@media screen and (max-width: 991px) {
    .detail-product .product-left,
    .composite-product .product-right {
        max-width: none;
        width: 100%;
    }

    .wooco_component_product_selection_grid.swiper-wrapper {
        flex-wrap: nowrap;
    }

    /*.wooco_component_product_selection_grid_item.swiper-slide {*/
    /*   margin: 0;*/
    /*}*/
}

@media (max-width: 767px) {
    .composite-product .product-left {
        margin-bottom: var(--section-margin);
    }

    .composite-product .product-right--flex-composite-menu {
        display: flex;
        margin-top: 20px;
        margin-left: 20px;
        margin-right: 20px;
    }

    .composite-product .product-right.active .product-right--flex-composite-menu {
        margin-left: 0;
        margin-right: 0;
    }

    .composite-product .product-info-start .product-right--flex {
        display: none;
    }

    .composite-product #content {
        height: 1500px;
        padding: 20px;
        background-color: #f3f3f3;
    }

    .composite-product .product-right {
        position: fixed;
        bottom: -100%; /* Изначально скрыто */
        left: 0;
        right: 0;
        top: auto;
        background-color: #fbfbfb;
        color: white;
        padding: 20px;
        transition: bottom 0.3s;
        z-index: 150;
        max-height: 80%;
        border-top-left-radius: 16px;
        border-top-right-radius: 16px;
        gap: 0;
    }

    .composite-product .selected-products {
        gap: 40px;
        margin-bottom: 24px;
    }

    .composite-product .product-right .product-info-start {
        padding-right: 8px;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .composite-product .product-info-start form.cart {
        display: flex;
        justify-content: center;
    }

    .composite-product .product-info-start form.cart button {
        max-width: 292px;
    }

    .composite-product #swipe-handle {
        display: block;
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: #fbfbfb;
        color: white;
        padding: 10px;
        text-align: center;
        cursor: pointer;
        user-select: none;
        z-index: 11;
    }

    .composite-product .product-right .product-price,
    .composite-product .product-right--title {
        font-size: 20px;
    }

    .composite-product .product-right--title,
    .composite-product .product-right--flex > div {
        color: #101010;
    }

    .composite-product .product-right--flex {
        margin-bottom: 36px;
    }

    #popup-content .summary.entry-summary {
        width: 100%;
        flex-direction: column;
    }

    #popup-content .product-left > .swiper.swiper-main-image img {
        width: 100%;
        height: 486px;
        object-fit: none;
    }

    #popup-content .detail-product .product-left {
        max-width: 100%;
    }

    #popup-content .detail-product .product-left .swiper-main-image {
        height: auto;
    }

    #popup-content .product-right {
        position: initial;
        max-height: 100%;
    }

    #popup {
        padding-top: 90px;
        height: 90%;
        width: 90%;
    }

    #popup_container {
        z-index: 9999;
    }

    .body:has(.product-right) footer .woocommerce {
        max-height: calc(100vh - 200px);
    }
}

.page-404 {
    margin: 70px 0px 100px;
}

.page-404 > div {
    height: 100%;
}

.page-404 .not-found-info {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-radius: 16px;
    height: 686px;
    background: transparent url("../img/404.svg") no-repeat left/cover;
}

.page-404 .not-found-info .not-found-title {
    font-size: 400;
    font-size: 100px;
    line-height: 100%;
    margin-bottom: 5px;
    color: var(--black);
}

.page-404 .not-found-info .not-found-alert {
    font-size: 24px;
    line-height: 100%;
    max-width: 456px;
    text-align: center;
    color: var(--black);
    margin-bottom: 32px;
    text-transform: uppercase;
}

.page-404 .not-found-info a {
    display: block;
}

@media screen and (max-width: 767px) {
    .page-404 .not-found-info {
        height: 620px;
    }
}

@media screen and (max-width: 582px) {
    .page-404 {
        margin: 42px 0 40px;
    }

    .page-404 .not-found-info {
        height: 460px;
    }

    .page-404 .not-found-info .not-found-title {
        font-size: 72px;
    }

    .page-404 .not-found-info .not-found-alert {
        font-size: 16px;
        margin-bottom: 24px;
    }
}

.search-page {
    margin: 60px 0 var(--section-margin);
}

.search-page > p {
    font-size: 16px;
    font-weight: 400;
    color: #6d6d6d;
    line-height: 140%;
    margin-bottom: 40px;
}

.search-page .products {
    display: flex;
    flex-wrap: wrap;
    gap: 24px 16px;
    transition: 0.2s ease-out;
}

.search-page .product {
    width: calc((100% / 4) - 12px);
}

.search-page .product a {
    display: flex;
    flex-direction: column;
}

.search-page .product .product-image {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: auto;
    background-color: rgba(235, 247, 255, 1);
    border-radius: 16px;
    margin-bottom: 12px;
}

.search-page .product h2 {
    padding-left: 8px;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
    color: var(--black);
}

@media screen and (max-width: 991px) {
    .search-page .product {
        width: calc((100% / 3) - 11px);
    }
}

@media screen and (max-width: 767px) {
    .search-page .product {
        width: calc((100% / 2) - 8px);
    }

    .search-page .product .product-image img {
        width: 100%;
        object-fit: contain;
    }

    .sub-menu {
        display: flex;
        flex-direction: column;
        gap: 32px;
        margin-top: 32px;
    }
}

@media screen and (max-width: 767px) {
    .search-page .product {
        width: 100%;
    }
}

.products-wrapper .price,
.products-block .product-price {
    color: #8e8e8e;
    line-height: 100%;
    padding: 6px 8px 0 8px;
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    gap: 10px;
}

.products-wrapper .price ins,
.products-block .product-price ins {
    text-decoration: none;
}

.detail-product-wrapper .product-price .price-old {
    text-decoration: line-through;
}

.detail-product-wrapper .product-price {
    display: flex;
    gap: 15px;
}

.btn-row {
    display: flex;
    gap: 20px;
}

.btn-row .add-to-cart-button a {
    color: #fff;
}

.showroom-wrapper .product a.ajax_add_to_cart,
.showroom-wrapper .product a.button.product_type_simple,
.showroom-wrapper .product button.button.product_type_simple {
    display: block;
    padding: 8px 0px;
    font-size: 16px;
    font-weight: 400;
    line-height: 100%;
    text-transform: uppercase;
    border-radius: 8px;
    background-color: var(--black);
    color: #ffffff;
    cursor: pointer;
    width: 100%;
    margin-top: 10px;
    height: auto;
}

.swiper-also-add .item {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.showroom-wrapper .product a.added_to_cart.wc-forward {
    display: none;
}

.modal-cart .woocommerce-cart-form .cart_item.wooco-item-child {
    display: none;
}

.added_to_cart.wc-forward {
    display: none;
}

.wrapper-label {
    display: flex;
    flex-direction: row;
    gap: 5px;
    text-transform: uppercase;
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 25;
}

.wrapper-label .onsale {
    color: #000;
    background: #fff;
    padding: 2px 10px;
    border-radius: 8px;
}


.woocommerce-cart-form input[type="number"]::-webkit-inner-spin-button,
.woocommerce-cart-form input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.woocommerce-cart-form input[type="number"] {
    -moz-appearance: textfield;
    border: none;
    outline: none;
    pointer-events: none;
    width: 20px;
}

.product-quantity button {
    width: 20px;
    height: 100%;
    min-height: 20px;
    z-index: 10;
    cursor: pointer;
}
.product-quantity {
    display: flex;
    gap: 2px;
    border: 1px solid #3e3e3e;
    padding: 2px 8px;
    align-items: center;
    height: 34px;
    justify-content: space-between;
    margin: 0 8px;
}

.product-quantity .quantity {
    display: flex;
    align-items: center;
    width: 20px;
    justify-content: center;
}

.product-quantity-price {
    display: flex;
}

@media screen and (max-width: 562px) {
    .product-quantity-price {
        flex-direction: column;
    }

    .modal-cart .cart_item .product-price {
        order: 0;
        border: none;
        justify-content: center;
    }
    .product-quantity {
        order: 1;
    }

}


/* 17-03-2025 */

.header__left
{
    display: grid;
    gap: 20px;
    grid-template-columns: 72px auto;
    align-items: center;
}

.header__social-links,
.our-brands-block__social-links
{
    display: flex;
    gap: 5px;
}

.header__social-link img,
.our-brands-block__social-link img
{
    width: 30px;
    height: 30px;
    object-fit: contain;
}